"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const utils = require("../../../../../utils/utils.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
const runtimeDom_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const shared_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _withScopeId = (n) => (runtimeCore_esmBundler.pushScopeId("data-v-db506cc9"), n = n(), runtimeCore_esmBundler.popScopeId(), n);
const _hoisted_1 = { class: "go-border-06" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("polygon", {
  class: "stroke fill",
  points: `15.5 6.5 20.5 0.5 50.5 0.5 55.5 6.5 15.5 6.5`
}, null, -1));
const _hoisted_4 = ["points"];
const _hoisted_5 = ["points"];
const _hoisted_6 = ["points"];
const _hoisted_7 = ["points"];
const _hoisted_8 = ["points"];
const _hoisted_9 = ["points"];
const _hoisted_10 = { class: "text" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    runtimeDom_esmBundler.useCssVars((_ctx) => ({
      "30f2c0b4": reactivity_esmBundler.unref(colors)[0],
      "30f2c076": reactivity_esmBundler.unref(colors)[1],
      "32016584": reactivity_esmBundler.unref(textColor),
      "f68b5eba": reactivity_esmBundler.unref(textSize) + "px"
    }));
    utils.getUUID();
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, dataset, textSize, textColor } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          xmlns: "http://www.w3.org/2000/svg",
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          _hoisted_3,
          runtimeCore_esmBundler.createElementVNode("polygon", {
            class: "stroke fill",
            points: `15.5 ${reactivity_esmBundler.unref(h) - 6.5} 20.5 ${reactivity_esmBundler.unref(h) - 0.5} 50.5 ${reactivity_esmBundler.unref(h) - 0.5} 55.5 ${reactivity_esmBundler.unref(h) - 6.5} 15.5 ${reactivity_esmBundler.unref(h) - 6.5}`
          }, null, 8, _hoisted_4),
          runtimeCore_esmBundler.createElementVNode("polygon", {
            class: "stroke fill",
            points: `${reactivity_esmBundler.unref(w) - 15.5} 6.5 ${reactivity_esmBundler.unref(w) - 20.5} 0.5 ${reactivity_esmBundler.unref(w) - 50.5} 0.5 ${reactivity_esmBundler.unref(w) - 55.5} 6.5 ${reactivity_esmBundler.unref(w) - 15.5} 6.5`
          }, null, 8, _hoisted_5),
          runtimeCore_esmBundler.createElementVNode("polygon", {
            class: "stroke fill",
            points: `${reactivity_esmBundler.unref(w) - 15.5} ${reactivity_esmBundler.unref(h) - 6.5} ${reactivity_esmBundler.unref(w) - 20.5} ${reactivity_esmBundler.unref(h) - 0.5} ${reactivity_esmBundler.unref(w) - 50.5} ${reactivity_esmBundler.unref(h) - 0.5} ${reactivity_esmBundler.unref(w) - 55.5} ${reactivity_esmBundler.unref(h) - 6.5} ${reactivity_esmBundler.unref(w) - 15.5} ${reactivity_esmBundler.unref(h) - 6.5}`
          }, null, 8, _hoisted_6),
          runtimeCore_esmBundler.createElementVNode("polygon", {
            class: "stroke fill",
            points: `15.5 6.5 0.5 ${reactivity_esmBundler.unref(h) / 2} 15.5 ${reactivity_esmBundler.unref(h) - 6.5} ${reactivity_esmBundler.unref(w) - 15.5} ${reactivity_esmBundler.unref(h) - 6.5} ${reactivity_esmBundler.unref(w) - 0.5} ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w) - 15.5} 6.5 15.5 6.5`
          }, null, 8, _hoisted_7),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "stroke fill-none",
            points: `20.5 14.5 8.5 ${reactivity_esmBundler.unref(h) / 2} 20.5 ${reactivity_esmBundler.unref(h) - 14.5}`
          }, null, 8, _hoisted_8),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "stroke fill-none",
            points: `${reactivity_esmBundler.unref(w) - 20.5} 14.5 ${reactivity_esmBundler.unref(w) - 8.5} ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w) - 20.5} ${reactivity_esmBundler.unref(h) - 14.5}`
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_2)),
        runtimeCore_esmBundler.createElementVNode("span", _hoisted_10, shared_esmBundler.toDisplayString(reactivity_esmBundler.unref(dataset)), 1)
      ]);
    };
  }
});
exports.default = _sfc_main;
